=== debian/changelog ===
ros-indigo-qglv-gallery (0.1.7-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 16 Jun 2016 03:20:40 -0000

ros-indigo-qglv-gallery (0.1.6-0trusty) trusty; urgency=high

  * legacy support on old versions is 203xx, not 20304.

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 02 Nov 2015 15:00:00 -0000

ros-indigo-qglv-gallery (0.1.4-0trusty) trusty; urgency=high

  * aborting support of qglviewer versions prior to 2.5 (that found on trusty)

 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 01 Nov 2015 15:00:00 -0000

ros-indigo-qglv-gallery (0.1.1-0trusty) trusty; urgency=high

  * initial prototype

 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 18 Oct 2015 15:00:00 -0000
