=== debian/control ===
Source: ros-indigo-qglv-gallery
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libqglviewer-dev, libxi-dev, libxmu-dev, ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-qglv-gallery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libqglviewer2, libxi-dev, libxmu-dev
Description: Example programs from qglviewer.
